# -*- coding: utf-8 -*-
# Generated by Django 1.11.14 on 2018-07-20 15:22
from __future__ import unicode_literals

from django.conf import settings
import django.contrib.sites.managers
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.db.models.manager
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('sites', '0002_alter_domain_unique'),
    ]

    operations = [
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fullname', models.CharField(blank=True, max_length=100)),
                ('url', models.URLField(blank=True)),
                ('avatar', models.ImageField(blank=True, height_field=b'avatar_height', upload_to=b'avatars', width_field=b'avatar_width')),
                ('about', models.TextField(blank=True)),
                ('avatar_height', models.IntegerField(blank=True, null=True)),
                ('avatar_width', models.IntegerField(blank=True, null=True)),
                ('remote_access_enabled', models.BooleanField(default=False)),
                ('remote_access_key', models.CharField(blank=True, max_length=100, validators=[django.core.validators.MinLengthValidator(8)])),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Blog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=100)),
                ('description', models.TextField(blank=True)),
                ('slug', models.SlugField(max_length=100)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.Site')),
            ],
            managers=[
                ('objects', django.db.models.manager.Manager()),
                ('on_site', django.contrib.sites.managers.CurrentSiteManager()),
            ],
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('description', models.CharField(blank=True, max_length=100)),
                ('slug', models.SlugField(max_length=100)),
                ('blog', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xblog.Blog')),
            ],
        ),
        migrations.CreateModel(
            name='Link',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(blank=True)),
                ('link_name', models.CharField(blank=True, max_length=255)),
                ('link_image', models.ImageField(blank=True, height_field=b'link_image_height', upload_to=b'blog_uploads/links/', width_field=b'link_image_width')),
                ('link_image_height', models.IntegerField(blank=True, null=True)),
                ('link_image_width', models.IntegerField(blank=True, null=True)),
                ('description', models.TextField(blank=True)),
                ('visible', models.BooleanField(default=True)),
                ('rss', models.URLField(blank=True)),
                ('blog', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xblog.Blog')),
            ],
        ),
        migrations.CreateModel(
            name='LinkCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=255)),
                ('description', models.TextField(blank=True)),
                ('visible', models.BooleanField(default=True)),
                ('display_order', models.IntegerField(blank=True, null=True)),
                ('blog', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xblog.Blog')),
            ],
        ),
        migrations.CreateModel(
            name='Pingback',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('author_name', models.CharField(blank=True, max_length=100)),
                ('author_email', models.EmailField(blank=True, max_length=254)),
                ('title', models.CharField(blank=True, max_length=255)),
                ('body', models.TextField(blank=True)),
                ('is_public', models.BooleanField(default=False)),
                ('source_url', models.URLField(blank=True)),
                ('target_url', models.URLField(blank=True)),
                ('pub_date', models.DateTimeField(blank=True, default=django.utils.timezone.now)),
                ('mod_date', models.DateTimeField(blank=True, default=django.utils.timezone.now)),
            ],
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pub_date', models.DateTimeField(blank=True, default=django.utils.timezone.now)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('enable_comments', models.BooleanField(default=True)),
                ('title', models.CharField(max_length=255)),
                ('slug', models.SlugField(max_length=100)),
                ('guid', models.CharField(blank=True, max_length=255)),
                ('body', models.TextField(blank=True)),
                ('summary', models.TextField(blank=True)),
                ('status', models.CharField(blank=True, choices=[(b'draft', b'Draft'), (b'publish', b'Published'), (b'private', b'Private')], default=b'Draft', max_length=32, null=True)),
                ('text_filter', models.CharField(blank=True, choices=[(b'markdown', b'Markdown'), (b'html', b'HTML'), (b'convert linebreaks', b'Convert linebreaks')], default=b'__default__', max_length=100)),
                ('post_format', models.CharField(blank=True, choices=[(b'standard', b'Standard'), (b'video', b'Video'), (b'status', b'Status')], default=b'standard', max_length=100)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xblog.Author')),
                ('blog', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xblog.Blog')),
                ('categories', models.ManyToManyField(to='xblog.Category')),
                ('primary_category_name', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='primary_category_set', to='xblog.Category')),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=100)),
            ],
        ),
        migrations.AddField(
            model_name='post',
            name='tags',
            field=models.ManyToManyField(blank=True, to='xblog.Tag'),
        ),
        migrations.AddField(
            model_name='pingback',
            name='post',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xblog.Post'),
        ),
        migrations.AddField(
            model_name='link',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xblog.LinkCategory'),
        ),
    ]
